Bug 504088 - CRMFPopClient throws a java.io.FileNotFoundException
CRMFPopClient throws a java.io.FileNotFoundException
Status: CLOSED DUPLICATE of bug 689453
Product: Dogtag Certificate System
Classification: Community
Component: Tools - Native (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 445047 504234
  Show dependency treegraph
 
Reported: 2009-06-04 02:35 EDT by Kashyap Chamarthy
Modified: 2015-01-04 18:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 504234 (view as bug list)
Environment:
Last Closed: 2011-11-17 19:18:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kashyap Chamarthy 2009-06-04 02:35:27 EDT
CRMFPopClient throws a java.io.FileNotFoundException:


-----------------
=> Generate transport certificate with the below on-line script(which truncates headers and extra spaces)

(1) cat transport.txt | egrep -iv -e BEGIN -e END | awk '{printf $1}' >
new_transport.txt

(2)mv new_transport.txt transport.txt  
------------------
=> Now, issue CRMFPopClient with transport certificate(transport.txt) in the the current directory

[user1@el3pki ~]$ CRMFPopClient netscape nullAuthMgr el3pki.pnq.redhat.com 9180 admin netscape POP_SUCCESS "CN=MyTest,C=US,UID=MyUid" OUTPUT_CERT_REQ


Proof Of Possession Utility....

.
.
.
.
.
.
.
.
.
.
.
.
.
.
Generating Legal POP Data.....
.
Signature completed...

Generated Cert Request: ...... 

MIIFXzCCBVswggTBAgEBMIHegAECpTcwNTEVMBMGCgmSJomT8ixkAQETBU15VWlk
MQswCQYDVQQGEwJVUzEPMA0GA1UEAxMGTXlUZXN0poGfMA0GCSqGSIb3DQEBAQUA
A4GNADCBiQKBgQDPc/rRm+uSpCvMbkwNhqnYAp4MSaLq43r+eZ30OLB/DolNJoE+
qfaS84woOnpUAuEr+xoZuaqBrOcnf2odJlDyuZybvxdWtcwr++1Ce7Ib/8Zf1ckN
RjLbEXhVi0N19U0rwAgnpLxsuY4RiL4cDAtu2A3GRi9QtCSWnL9veCRITQIDAQAB
MIID2TCCA7MGCSsGAQUFBwUBBKCCA6QwggOgoRQGCCqGSIb3DQMHBAgBAQEBAQEB
AYKCAQEHUfx4+7CPEPQE50ZzEB5iMGmIOfAD8XbZYyABwrhdfypFexZ5+2bc0ts5
33pB16uFBLslhUMq4Amuq1dpA6jTmtw2xw6qJGdHGpZnllDs1KAiB+XS7E2muFEG
x4Y17zUU0NZFgcHPjPV4NoJUFciJ4xYaorexqSZp6XThNAAcGz636u7xyLjStlBJ
Q1z8EoAQ6CEM+bMDHm/0eSiCcD+Oo5LhxJ71fO7gjAYiMkn9sBB1VGyQfU9MO6mb
Oo2fQUT1y/WlVhZ6wTzGYCDlA6cRJNfsJq7KjdrbRWk57BFolY7mUo54NePxqHD8
GPjVSZyED8ocBpD+m7kIBcaAehqFgAOCAoEHqYlyVeN4iaGUHTd1kYtabz9SuijV
NIUB/CjCPqN2nJ0+uirHYaaDuETWcBMcFkZ2IyU3gdEPjbp0lWqYpnJh7Kc2X1T2
GpZYT3L7MybwDIVm1J7hZkVKc1RFQPORe+C9toV/4tXVbJPirNrqSwBEGfNzmyIe
PhbwqeFMSPlB5f9C1r79BD9+m2TrApouCVnntwqAn9OMmXH6wr/5mNRqYG3Sqyqh
s6sSrQ1B6zGQwNhwpq3YpU0Ps3StL1Tl4lMM7tNQxw0pcz5DX1s2ESxOlp2u3J00
5o8Mp4tzNH7+0j5CGsc8snf648bTqrkEzIIlu6c3408lJi+/+M/aWD0z5Lk3/SDF
+symtbtTtCBXGvjZc6sbeiW13/D5noIAVuMJjEmcG/Dq0d/0vxE6RUMjYpDG/kfp
QreAB3W8QMp4w3vV8pnhslLMtWMrQj+NnH8xFLOzfHbFo7aKByKbuEQ8IizoTkOD
JdVMlo1qRubQxGQEWmJEZULMIRpuP7tRW2GEtVVa0CgbH4hs/bOT4PNaVGaodDV8
LKBh4o2dCoUsRvdFNzOP8J62qGTCoMGNX33AyQ1T/uB4aeSqfoqtLjcQp1mpl3ae
C1UgNFqQe4ucEEte3gavF5F7lCZXpNqTkwjkibrAP3AymTkAFu9123gjJrxYBBcw
632VwvBelqpFnrYz1sTUqVN/tG52gYdGNqsiTsU8/u7djXxILRZsiw8wC4EsWW5M
IrNiVIYN79rITwjdLCf/RO7aYMGcr1a2CEbOhoXFe/N4UwWkW1TAE30C2XtIuIHb
bMwIC0o0zqtqiuhsz30pDQqB31gQREv9sa4uxlw6LkYshjIc1obosFZPgDAgBggr
BgEFBQcHFwQU5mnJXy7/pJCuc+ZEzD+eHZZ3nFChgZMwDQYJKoZIhvcNAQEEBQAD
gYEAAMDAJXxCciHQLA3j6BG7cNqoGFttmGWMjJRFOMzyqOm8sBvpzKBpsATT5Ips
3Sx58r+H453YM4EiqE8/2LL7JknqBfIa0J0hoLJRYZ8NGzvfiAisFjKswEm99102
PbB1/NkvH2Oe8v14bMpuNoF8IFZ7OizvhAb6t5J6sviVfrE=

End Request:

Server Response.....
--------------------

WARNING: java.io.FileNotFoundException: http://el3pki.pnq.redhat.com:9180/enrollment?importCert=off&uid=admin&pwd=netscape&authenticator=nullAuthMgr&csrRequestorName=user0&CN=testuser&UID=user0&SMIME=true&SSLClient=true&ObjectSigning=false&csrRequestorEmail=mail&csrRequestorPhone=1234&csrRequestorComments=hello&CRMFRequest=MIIFXzCCBVswggTBAgEBMIHegAECpTcwNTEVMBMGCgmSJomT8ixkAQETBU15VWlk%0D%0AMQswCQYDVQQGEwJVUzEPMA0GA1UEAxMGTXlUZXN0poGfMA0GCSqGSIb3DQEBAQUA%0D%0AA4GNADCBiQKBgQDPc%2FrRm%2BuSpCvMbkwNhqnYAp4MSaLq43r%2BeZ30OLB%2FDolNJoE%2B%0D%0AqfaS84woOnpUAuEr%2BxoZuaqBrOcnf2odJlDyuZybvxdWtcwr%2B%2B1Ce7Ib%2F8Zf1ckN%0D%0ARjLbEXhVi0N19U0rwAgnpLxsuY4RiL4cDAtu2A3GRi9QtCSWnL9veCRITQIDAQAB%0D%0AMIID2TCCA7MGCSsGAQUFBwUBBKCCA6QwggOgoRQGCCqGSIb3DQMHBAgBAQEBAQEB%0D%0AAYKCAQEHUfx4%2B7CPEPQE50ZzEB5iMGmIOfAD8XbZYyABwrhdfypFexZ5%2B2bc0ts5%0D%0A33pB16uFBLslhUMq4Amuq1dpA6jTmtw2xw6qJGdHGpZnllDs1KAiB%2BXS7E2muFEG%0D%0Ax4Y17zUU0NZFgcHPjPV4NoJUFciJ4xYaorexqSZp6XThNAAcGz636u7xyLjStlBJ%0D%0AQ1z8EoAQ6CEM%2BbMDHm%2F0eSiCcD%2BOo5LhxJ71fO7gjAYiMkn9sBB1VGyQfU9MO6mb%0D%0AOo2fQUT1y%2FWlVhZ6wTzGYCDlA6cRJNfsJq7KjdrbRWk57BFolY7mUo54NePxqHD8%0D%0AGPjVSZyED8ocBpD%2Bm7kIBcaAehqFgAOCAoEHqYlyVeN4iaGUHTd1kYtabz9SuijV%0D%0ANIUB%2FCjCPqN2nJ0%2BuirHYaaDuETWcBMcFkZ2IyU3gdEPjbp0lWqYpnJh7Kc2X1T2%0D%0AGpZYT3L7MybwDIVm1J7hZkVKc1RFQPORe%2BC9toV%2F4tXVbJPirNrqSwBEGfNzmyIe%0D%0APhbwqeFMSPlB5f9C1r79BD9%2Bm2TrApouCVnntwqAn9OMmXH6wr%2F5mNRqYG3Sqyqh%0D%0As6sSrQ1B6zGQwNhwpq3YpU0Ps3StL1Tl4lMM7tNQxw0pcz5DX1s2ESxOlp2u3J00%0D%0A5o8Mp4tzNH7%2B0j5CGsc8snf648bTqrkEzIIlu6c3408lJi%2B%2F%2BM%2FaWD0z5Lk3%2FSDF%0D%0A%2BsymtbtTtCBXGvjZc6sbeiW13%2FD5noIAVuMJjEmcG%2FDq0d%2F0vxE6RUMjYpDG%2Fkfp%0D%0AQreAB3W8QMp4w3vV8pnhslLMtWMrQj%2BNnH8xFLOzfHbFo7aKByKbuEQ8IizoTkOD%0D%0AJdVMlo1qRubQxGQEWmJEZULMIRpuP7tRW2GEtVVa0CgbH4hs%2FbOT4PNaVGaodDV8%0D%0ALKBh4o2dCoUsRvdFNzOP8J62qGTCoMGNX33AyQ1T%2FuB4aeSqfoqtLjcQp1mpl3ae%0D%0AC1UgNFqQe4ucEEte3gavF5F7lCZXpNqTkwjkibrAP3AymTkAFu9123gjJrxYBBcw%0D%0A632VwvBelqpFnrYz1sTUqVN%2FtG52gYdGNqsiTsU8%2Fu7djXxILRZsiw8wC4EsWW5M%0D%0AIrNiVIYN79rITwjdLCf%2FRO7aYMGcr1a2CEbOhoXFe%2FN4UwWkW1TAE30C2XtIuIHb%0D%0AbMwIC0o0zqtqiuhsz30pDQqB31gQREv9sa4uxlw6LkYshjIc1obosFZPgDAgBggr%0D%0ABgEFBQcHFwQU5mnJXy7%2FpJCuc%2BZEzD%2BeHZZ3nFChgZMwDQYJKoZIhvcNAQEEBQAD%0D%0AgYEAAMDAJXxCciHQLA3j6BG7cNqoGFttmGWMjJRFOMzyqOm8sBvpzKBpsATT5Ips%0D%0A3Sx58r%2BH453YM4EiqE8%2F2LL7JknqBfIa0J0hoLJRYZ8NGzvfiAisFjKswEm99102%0D%0APbB1%2FNkvH2Oe8v14bMpuNoF8IFZ7OizvhAb6t5J6sviVfrE%3D&submit=Submit&subject=CN%3Dtestuser%2CUID%3D$user%2COU%3DPKI%2CO%3DU.S.Government%2CC%3DUS&certType=client&templateType=DisplayBySerial
java.io.FileNotFoundException: http://el3pki.pnq.redhat.com:9180/enrollment?importCert=off&uid=admin&pwd=netscape&authenticator=nullAuthMgr&csrRequestorName=user0&CN=testuser&UID=user0&SMIME=true&SSLClient=true&ObjectSigning=false&csrRequestorEmail=mail&csrRequestorPhone=1234&csrRequestorComments=hello&CRMFRequest=MIIFXzCCBVswggTBAgEBMIHegAECpTcwNTEVMBMGCgmSJomT8ixkAQETBU15VWlk%0D%0AMQswCQYDVQQGEwJVUzEPMA0GA1UEAxMGTXlUZXN0poGfMA0GCSqGSIb3DQEBAQUA%0D%0AA4GNADCBiQKBgQDPc%2FrRm%2BuSpCvMbkwNhqnYAp4MSaLq43r%2BeZ30OLB%2FDolNJoE%2B%0D%0AqfaS84woOnpUAuEr%2BxoZuaqBrOcnf2odJlDyuZybvxdWtcwr%2B%2B1Ce7Ib%2F8Zf1ckN%0D%0ARjLbEXhVi0N19U0rwAgnpLxsuY4RiL4cDAtu2A3GRi9QtCSWnL9veCRITQIDAQAB%0D%0AMIID2TCCA7MGCSsGAQUFBwUBBKCCA6QwggOgoRQGCCqGSIb3DQMHBAgBAQEBAQEB%0D%0AAYKCAQEHUfx4%2B7CPEPQE50ZzEB5iMGmIOfAD8XbZYyABwrhdfypFexZ5%2B2bc0ts5%0D%0A33pB16uFBLslhUMq4Amuq1dpA6jTmtw2xw6qJGdHGpZnllDs1KAiB%2BXS7E2muFEG%0D%0Ax4Y17zUU0NZFgcHPjPV4NoJUFciJ4xYaorexqSZp6XThNAAcGz636u7xyLjStlBJ%0D%0AQ1z8EoAQ6CEM%2BbMDHm%2F0eSiCcD%2BOo5LhxJ71fO7gjAYiMkn9sBB1VGyQfU9MO6mb%0D%0AOo2fQUT1y%2FWlVhZ6wTzGYCDlA6cRJNfsJq7KjdrbRWk57BFolY7mUo54NePxqHD8%0D%0AGPjVSZyED8ocBpD%2Bm7kIBcaAehqFgAOCAoEHqYlyVeN4iaGUHTd1kYtabz9SuijV%0D%0ANIUB%2FCjCPqN2nJ0%2BuirHYaaDuETWcBMcFkZ2IyU3gdEPjbp0lWqYpnJh7Kc2X1T2%0D%0AGpZYT3L7MybwDIVm1J7hZkVKc1RFQPORe%2BC9toV%2F4tXVbJPirNrqSwBEGfNzmyIe%0D%0APhbwqeFMSPlB5f9C1r79BD9%2Bm2TrApouCVnntwqAn9OMmXH6wr%2F5mNRqYG3Sqyqh%0D%0As6sSrQ1B6zGQwNhwpq3YpU0Ps3StL1Tl4lMM7tNQxw0pcz5DX1s2ESxOlp2u3J00%0D%0A5o8Mp4tzNH7%2B0j5CGsc8snf648bTqrkEzIIlu6c3408lJi%2B%2F%2BM%2FaWD0z5Lk3%2FSDF%0D%0A%2BsymtbtTtCBXGvjZc6sbeiW13%2FD5noIAVuMJjEmcG%2FDq0d%2F0vxE6RUMjYpDG%2Fkfp%0D%0AQreAB3W8QMp4w3vV8pnhslLMtWMrQj%2BNnH8xFLOzfHbFo7aKByKbuEQ8IizoTkOD%0D%0AJdVMlo1qRubQxGQEWmJEZULMIRpuP7tRW2GEtVVa0CgbH4hs%2FbOT4PNaVGaodDV8%0D%0ALKBh4o2dCoUsRvdFNzOP8J62qGTCoMGNX33AyQ1T%2FuB4aeSqfoqtLjcQp1mpl3ae%0D%0AC1UgNFqQe4ucEEte3gavF5F7lCZXpNqTkwjkibrAP3AymTkAFu9123gjJrxYBBcw%0D%0A632VwvBelqpFnrYz1sTUqVN%2FtG52gYdGNqsiTsU8%2Fu7djXxILRZsiw8wC4EsWW5M%0D%0AIrNiVIYN79rITwjdLCf%2FRO7aYMGcr1a2CEbOhoXFe%2FN4UwWkW1TAE30C2XtIuIHb%0D%0AbMwIC0o0zqtqiuhsz30pDQqB31gQREv9sa4uxlw6LkYshjIc1obosFZPgDAgBggr%0D%0ABgEFBQcHFwQU5mnJXy7%2FpJCuc%2BZEzD%2BeHZZ3nFChgZMwDQYJKoZIhvcNAQEEBQAD%0D%0AgYEAAMDAJXxCciHQLA3j6BG7cNqoGFttmGWMjJRFOMzyqOm8sBvpzKBpsATT5Ips%0D%0A3Sx58r%2BH453YM4EiqE8%2F2LL7JknqBfIa0J0hoLJRYZ8NGzvfiAisFjKswEm99102%0D%0APbB1%2FNkvH2Oe8v14bMpuNoF8IFZ7OizvhAb6t5J6sviVfrE%3D&submit=Submit&subject=CN%3Dtestuser%2CUID%3D$user%2COU%3DPKI%2CO%3DU.S.Government%2CC%3DUS&certType=client&templateType=DisplayBySerial
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1259)
	at com.netscape.cmstools.CRMFPopClient.main(CRMFPopClient.java:516)
Comment 2 Nathan Kinder 2011-11-17 19:18:01 EST

*** This bug has been marked as a duplicate of bug 689453 ***

Note You need to log in before you can comment on or make changes to this bug.